Page MenuHomePhabricator

Initial FE code for Wikistats 2.0. Dashboard skeleton
Closed, ResolvedPublic21 Story Points

Description

Goal of this item is to:

  • create wikistats FE depot in gerrit
  • add initial skeleton of libraries that wikistats FE will be using, setup webpack or similar
  • add a bit of test infrastructure
  • implement skeleton of dashboard page to make sure things are wired together
  • add piwik code so we can track usage

Prototype: https://analytics-prototype.wmflabs.org/#/

Event Timeline

Nuria created this task.Apr 25 2017, 6:46 PM
Nuria removed the point value for this task.Apr 25 2017, 7:20 PM
Nuria updated the task description. (Show Details)Apr 25 2017, 7:22 PM
Nuria updated the task description. (Show Details)Apr 25 2017, 7:25 PM
Nuria updated the task description. (Show Details)Apr 27 2017, 4:04 AM
Nuria edited projects, added Analytics; removed Analytics-Kanban.
Nuria moved this task from Incoming to Operational Excellence Future on the Analytics board.
Nuria edited projects, added Analytics-Kanban; removed Analytics.Apr 27 2017, 4:10 PM
Nuria set the point value for this task to 21.
Nuria moved this task from Next Up to Paused on the Analytics-Kanban board.May 11 2017, 2:05 PM
Nuria moved this task from Paused to In Progress on the Analytics-Kanban board.Jun 8 2017, 4:30 PM
Milimetric assigned this task to fdans.Jun 12 2017, 1:06 PM
Milimetric moved this task from In Progress to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Jun 27 2017, 6:30 PM